#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n,x,i,a,min,max;
    cin>>n>>x;
    min=x;
    max=x;
    for(i=0;i<n;i++)
    {
        cin>>a;
        if(a<min)min=a;
        if(a>max)max=a;
    }
    if(x-min<max-x)cout<<x+max-2*min;
    else cout<<2*max-x-min;
    return 0;
}